import { Injectable, NotFoundException } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { TipoUsuario } from './entity/tipo-usuario.entity';

@Injectable()
export class TipoUsuarioService {
  constructor(
    @InjectRepository(TipoUsuario) private repository: Repository<TipoUsuario>,
  ) {}

  findById(id_tipo_usuario: number) {
    return this.repository.findOne({ id_tipo_usuario }).then((tipoUsuario) => {
      if (!tipoUsuario)
        throw new NotFoundException('No existe este tipo usuairo');
      return tipoUsuario;
    });
  }
}
